XLEN=64
PPNSIZE=44
PAGE_OFFSET=12
SATP_MODE_SIZE=4
DWORDS=8
#Supervisor related settings
SUPERVISOR=sv57
MAX_VARPAGES=5
SUBVPN=9
LASTPPNSIZE=8
MAXVADDR=57
VPNSIZE=45

#SUPERVISOR=sv48
#MAX_VARPAGES=4
#SUBVPN=9
#LASTPPNSIZE=17
#MAXVADDR=48
#VPNSIZE=36

#SUPERVISOR=sv39
#MAX_VARPAGES=3
#SUBVPN=9
#LASTPPNSIZE=26
#MAXVADDR=39
#VPNSIZE=27

#SUPERVISOR=sv32
#MAX_VARPAGES=2
#SUBVPN=10
#LASTPPNSIZE=12
#MAXVADDR=32
#VPNSIZE=32

ITLBSIZE=4
DTLBSIZE=4
ASIDWIDTH=9
ATOMIC=enable

#dtlb settings 
DTLB_SETS_4KB=4
DTLB_SETS_4MB=4
DTLB_SETS_2MB=2
DTLB_SETS_1GB=2
DTLB_SETS_512GB=1
DTLB_SETS_256TB=1 
DTLB_WAYS_4KB=4
DTLB_WAYS_4MB=4
DTLB_WAYS_2MB=4
DTLB_WAYS_1GB=1
DTLB_WAYS_512GB=1
DTLB_WAYS_256TB=1
DTLB_REP_ALG_4KB=0
DTLB_REP_ALG_4MB=0
DTLB_REP_ALG_2MB=0
DTLB_REP_ALG_1GB=0
DTLB_REP_ALG_512GB=0
DTLB_REP_ALG_256TB=0

DTLB_NOINLINE=enable

#ITLB settings 
ITLB_SETS_4KB=4
ITLB_SETS_4MB=4
ITLB_SETS_2MB=2
ITLB_SETS_1GB=2
ITLB_SETS_512GB=1
ITLB_SETS_256TB=1 
ITLB_WAYS_4KB=4
ITLB_WAYS_4MB=4
ITLB_WAYS_2MB=4
ITLB_WAYS_1GB=1
ITLB_WAYS_512GB=1
ITLB_WAYS_256TB=1
ITLB_REP_ALG_4KB=0
ITLB_REP_ALG_4MB=0
ITLB_REP_ALG_2MB=0
ITLB_REP_ALG_1GB=0
ITLB_REP_ALG_512GB=0
ITLB_REP_ALG_256TB=0

ITLB_NOINLINE=enable


DCACHE=enable
DSETS=64
DBLOCKS=8
DWAYS=4
DESIZE=1
DSBSIZE=2
DFBSIZE=4
DREPL=1
DRESET=1
DDBANKS=4
DTBANKS=1
DBUSWIDTH=64
ECC=disable
ONE_HOT=0
ECC_TEST=disable
PORT=single
PMPSIZE=4
GRAINBITS=3
SVNAPOT=disable

THREADS=1
COVERAGE=none
TRACE=disable

TOP_MODULE:=mkdtlb_instance
DIR:=../:./common_bsv:./bsvwrappers/common_lib/:../../dcache:
TOP_DIR:= ./
//TOP_FILE:= sa_dtlb_instance.bsv
TOP_FILE:= mmu_instance.bsv 


